[Debian-live-changes] r1123 - configs/daniel/config/chroot_localincludes/usr/local/bin

Daniel Baumann daniel at alioth.debian.org
Sun Apr 22 09:00:17 UTC 2007


Author: daniel
Date: 2007-04-22 09:00:17 +0000 (Sun, 22 Apr 2007)
New Revision: 1123

Added:
   configs/daniel/config/chroot_localincludes/usr/local/bin/dputs
Removed:
   configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload
Modified:
   configs/daniel/config/chroot_localincludes/usr/local/bin/cpufreqs
Log:


Modified: configs/daniel/config/chroot_localincludes/usr/local/bin/cpufreqs
===================================================================
--- configs/daniel/config/chroot_localincludes/usr/local/bin/cpufreqs	2007-04-22 08:47:28 UTC (rev 1122)
+++ configs/daniel/config/chroot_localincludes/usr/local/bin/cpufreqs	2007-04-22 09:00:17 UTC (rev 1123)
@@ -8,7 +8,7 @@
 set -e
 
 # Show help
-if [ "${1}" = "-h" ] || [ "${1}" = "--help}" ]
+if [ "${1}" = "-h" ] || [ "${1}" = "--help}" ] || [ -n "${1}" ]
 then
 	echo "cpufreqs.sh - Setting cpu frequencies"
 	echo

Deleted: configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload
===================================================================
--- configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload	2007-04-22 08:47:28 UTC (rev 1122)
+++ configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload	2007-04-22 09:00:17 UTC (rev 1123)
@@ -1,121 +0,0 @@
-#!/bin/sh
-
-# dput-upload.sh - package upload tool for Debian
-#
-# This script is written by Daniel Baumann <daniel at debian.org>
-# and hereby placed in the public domain (no rights reserved).
-
-set -e
-
-CODENAME_OLDSTABLE="sarge"
-CODENAME_OLDSTABLE_BACKPORTS="sarge"
-CODENAME_STABLE="etch"
-CODENAME_STABLE_BACKPORTS="etch"
-CODENAME_TESTING="lenny"
-CODENAME_UNSTABLE="sid"
-
-DIRECTORY_CHROOT="/mnt/debian"
-
-DISTRIBUTION="${1}"
-SPONSOR="${2}"
-USER="user"
-
-# Check configuration
-if [ ! -r ~/.dput.cf ]
-then
-echo >> ~/.dput.cf << EOF
-[backports]
-fqdn = www.backports.org
-incoming = /
-method = ftp
-login = anonymous
-
-[security-master]
-fqdn = security-master.debian.org
-incoming = /pub/SecurityUploadQueue/
-method = ftp
-login = anonymous
-EOF
-exit 0
-fi
-
-if [ -z "${DISTRIBUTION}" ]
-then
-	DISTRIBUTION="unstable"
-fi
-
-case "${DISTRIBUTION}" in
-	oldstable-backports|"${CODENAME_OLDSTABLE}"-backports)
-		DISTRIBUTION="${CODENAME_OLDSTABLE}"
-		;;
-
-	stable-backports|"${CODENAME_STABLE}"-backports)
-		DISTRIBUTION="${CODENAME_STABLE}-backports"
-		;;
-
-	stable-security|"${CODENAME_STABLE}"-security)
-		DISTRIBUTION="${CODENAME_STABLE}-security"
-		;;
-
-	stable|"${CODENAME_STABLE}")
-		DISTRIBUTION="${CODENAME_STABLE}"
-		;;
-
-	testing|"${CODENAME_TESTING}")
-		DISTRIBUTION="${CODENAME_TESTING}"
-		;;
-
-	unstable|"${CODENAME_UNSTBALE}")
-		DISTRIBUTION="${CODENAME_UNSTABLE}"
-		;;
-esac
-
-if [ "${SPONSOR}" = "sponsor" ]
-then
-	CHROOT="${DIRECTORY_CHROOT}/${DISTRIBUTION}/home/${USER}/NEW"
-else
-	CHROOT="${DIRECTORY_CHROOT}/${DISTRIBUTION}/home/${USER}"
-fi
-
-PACKAGE="`basename ${CHROOT}/*.dsc | awk -F_ '{ print $1 }'`"
-VERSION="`basename ${CHROOT}/*.dsc | awk -F_ '{ print $2 }' | sed -e 's/.dsc//'`"
-#NAME FIXME
-
-mkdir -p "${PACKAGE}"/"${VERSION}"
-cd "${PACKAGE}"/"${VERSION}"
-mv "${CHROOT}"/* ./
-md5sums
-
-case "${DISTRIBUTION}" in
-	"${CODENAME_OLDSTABLE}"-backports|"${CODENAME_STABLE}"-backports)
-		dput backports *.changes
-		;;
-
-	"${CODENAME_STABLE}"-security)
-		dput security-master *.changes
-		;;
-
-	*)
-		dput ftp-master *.changes
-		;;
-esac
-
-rm -f *.upload
-chmod 0640 *.changes
-
-TARBALL="`ls *.tar.gz`"
-
-if [ -f ../upstream/"${TARBALL}" ]
-then
-	rm -f "${TARBALL}"
-	ln -s ../upstream/"${TARBALL}" ./
-else
-	if [ ! -d ../upstream ]
-	then
-		mkdir ../upstream
-	fi
-
-	mv "${TARBALL}" ../upstream
-	ln -s ../upstream/"${TARBALL}" ./
-	cd ../upstream && md5sums
-fi

Copied: configs/daniel/config/chroot_localincludes/usr/local/bin/dputs (from rev 1122, configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload)
===================================================================
--- configs/daniel/config/chroot_localincludes/usr/local/bin/dput-upload	2007-04-22 08:47:28 UTC (rev 1122)
+++ configs/daniel/config/chroot_localincludes/usr/local/bin/dputs	2007-04-22 09:00:17 UTC (rev 1123)
@@ -0,0 +1,140 @@
+#!/bin/sh
+
+# dputs.sh - Wrapper for dput(1)
+#
+# This script is written by Daniel Baumann <daniel at debian.org>
+# and hereby placed in the public domain (no rights reserved).
+
+set -e
+
+# Show help
+if [ "${1}" = "-h" ] || [ "${1}" = "--help}" ] || [ -z "${1}" ]
+then
+	echo "dputs.sh - Wrapper for dput(1)"
+	echo
+	echo "Usage: `basename ${0}` DISTRIBUTION [SPONSOR]"
+	exit 1
+fi
+
+CODENAME_OLDSTABLE="sarge"
+CODENAME_OLDSTABLE_BACKPORTS="sarge"
+CODENAME_STABLE="etch"
+CODENAME_STABLE_BACKPORTS="etch"
+CODENAME_TESTING="lenny"
+CODENAME_UNSTABLE="sid"
+
+DIRECTORY_CHROOT="/mnt/debian"
+
+DISTRIBUTION="${1}"
+SPONSOR="${2}"
+USER="user"
+
+# Check configuration
+if [ ! -r ~/.dput.cf ]
+then
+echo >> ~/.dput.cf << EOF
+[backports]
+fqdn = www.backports.org
+incoming = /
+method = ftp
+login = anonymous
+
+[security-master]
+fqdn = security-master.debian.org
+incoming = /pub/SecurityUploadQueue/
+method = ftp
+login = anonymous
+EOF
+exit 0
+fi
+
+if [ -z "${DISTRIBUTION}" ]
+then
+	DISTRIBUTION="unstable"
+fi
+
+case "${DISTRIBUTION}" in
+	oldstable-backports|"${CODENAME_OLDSTABLE}"-backports)
+		DISTRIBUTION="${CODENAME_OLDSTABLE}"
+		;;
+
+	stable-backports|"${CODENAME_STABLE}"-backports)
+		DISTRIBUTION="${CODENAME_STABLE}-backports"
+		;;
+
+	stable-security|"${CODENAME_STABLE}"-security)
+		DISTRIBUTION="${CODENAME_STABLE}-security"
+		;;
+
+	stable|"${CODENAME_STABLE}")
+		DISTRIBUTION="${CODENAME_STABLE}"
+		;;
+
+	testing|"${CODENAME_TESTING}")
+		DISTRIBUTION="${CODENAME_TESTING}"
+		;;
+
+	unstable|"${CODENAME_UNSTBALE}")
+		DISTRIBUTION="${CODENAME_UNSTABLE}"
+		;;
+esac
+
+if [ "${SPONSOR}" = "sponsor" ]
+then
+	CHROOT="${DIRECTORY_CHROOT}/${DISTRIBUTION}/home/${USER}/NEW"
+else
+	CHROOT="${DIRECTORY_CHROOT}/${DISTRIBUTION}/home/${USER}"
+fi
+
+NAME="`grep -e 'Changed-By:' ${CHROOT}/*.changes | sed -e 's/Changed-By: //' -e 's/ <.*//' -e 's/ /-/g' | tr A-Z a-z`"
+PACKAGE="`basename ${CHROOT}/*.dsc | awk -F_ '{ print $1 }'`"
+VERSION="`basename ${CHROOT}/*.dsc | awk -F_ '{ print $2 }' | sed -e 's/.dsc//'`"
+
+CURDIR="`pwd`"
+
+if [ "`basename ${CURDIR}`" = "${NAME}" ]
+then
+	mkdir -p "${PACKAGE}"/"${VERSION}"
+	cd "${PACKAGE}"/"${VERSION}"
+	mv "${CHROOT}"/* ./
+	md5sums
+else
+	mkdir -p "${NAME}"/"${PACKAGE}"/"${VERSION}"
+	cd "${NAME}"/"${PACKAGE}"/"${VERSION}"
+	mv "${CHROOT}"/* ./
+	md5sums
+fi
+
+case "${DISTRIBUTION}" in
+	"${CODENAME_OLDSTABLE}"-backports|"${CODENAME_STABLE}"-backports)
+		dput backports *.changes
+		;;
+
+	"${CODENAME_STABLE}"-security)
+		dput security-master *.changes
+		;;
+
+	*)
+		dput ftp-master *.changes
+		;;
+esac
+
+rm -f *.upload
+chmod 0640 *.changes
+
+TARBALL="`ls *.tar.gz`"
+
+if [ -f ../upstream/"${TARBALL}" ]
+then
+	rm -f "${TARBALL}"
+	ln -s ../upstream/"${TARBALL}" ./
+else
+	if [ ! -d ../upstream ]
+	then
+		mkdir ../upstream
+	fi
+
+	mv "${TARBALL}" ../upstream
+	ln -s ../upstream/"${TARBALL}" ./
+	cd ../upstream && md5sums
+fi




More information about the Debian-live-changes mailing list